Rated 2 out of 5 stars

not compatible with 3.5.4

This review is for a previous version of the add-on (1.2.6).